<?php namespace MapGuesser\View;

class ParsedFragment
{
    private ?string $extends;

    private array $sections;

    private array $extra;

    public function __construct(?string $extends, array $sections, array $extra)
    {
        $this->extends = $extends;
        $this->sections = $sections;
        $this->extra = $extra;
    }

    public function getExtends(): ?string
    {
        return $this->extends;
    }

    public function getSections(): array
    {
        return $this->sections;
    }

    public function getExtra(): array
    {
        return $this->extra;
    }
}
